I have some how ended up with the wrong libraries in the mysql path and it is causing all kinds of problems. How can I remove libmysqlclient.so.15 and libmysqlclient.so.15.0.0 and replace them with the proper libraries ?

Here is what is installed now.

/usr/lib64/libmysqlclient.so.15
/usr/lib64/libmysqlclient.so.15.0.0
/usr/lib64/libmysqlclient.so.16
/usr/lib64/libmysqlclient.so.16.0.0
/usr/lib64/libmysqlclient_r.so.16
/usr/lib64/libmysqlclient_r.so.16.0.0

/usr/lib64/mysql/libmysqlclient.so.15
/usr/lib64/mysql/libmysqlclient.so.15.0.0

which should be

/usr/lib64/mysql/libmysqlclient.so.16
/usr/lib64/mysql/libmysqlclient.so.16.0.0

I'm pretty sure that will fix my problems.

Thanks